Package com.macrofocus.high_d.mds.distance

# Class DistanceMatrix<R,C>

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<R,R,Number>
com.macrofocus.molap.dataframe.matrix.AbstractMatrix<R,R>
com.macrofocus.high_d.mds.distance.DistanceMatrix<R,C>

All Implemented Interfaces:
  `com.macrofocus.molap.dataframe.DataFrame<R,R,Number>`, `com.macrofocus.molap.dataframe.matrix.Matrix<R,R>`

public class DistanceMatrix<R,C> extends com.macrofocus.molap.dataframe.matrix.AbstractMatrix<R,R>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistanceMatrix(com.macrofocus.molap.dataframe.matrix.Matrix<R,C> matrix, DistanceStrategy<C> distanceStrategy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.molap.index.UniqueIndex<R>`
  `getColumnIndex()`
  `double`
  `getDouble(R row, R column)`
  `com.macrofocus.molap.index.UniqueIndex<R>`
  `getRowIndex()`

  ### Methods inherited from class com.macrofocus.molap.dataframe.matrix.AbstractMatrix

  `getColumnClass, getColumnVector, getRow, getRowClass, getRowVector, getValueAt, isAvailable, join, scalarDivide, scalarMult, scalarPlus`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnCount, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.molap.dataframe.DataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnCount, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

- ## Constructor Details

  - ### DistanceMatrix

    public DistanceMatrix(com.macrofocus.molap.dataframe.matrix.Matrix<R,C> matrix, DistanceStrategy<C> distanceStrategy)

- ## Method Details

  - ### getDouble

    public double getDouble(R row, R column)

  - ### getRowIndex

    public com.macrofocus.molap.index.UniqueIndex<R> getRowIndex()

  - ### getColumnIndex

    public com.macrofocus.molap.index.UniqueIndex<R> getColumnIndex()